PKG-BACKUP(8)

NAME
pkg backup - backup and restore the local package database

SYNOPSIS
pkg backup [-d] <file>
pkg backup [-r] <file>

DESCRIPTION
pkg backup is used for backing up and restoring of the local package database.

OPTIONS
The following options are supported by pkg backup:

-d <file>
    Dumps the local package database to a file specified on the command-line. If - is specified as the argument pkg backup will use stdout for it's output.

-r <file>
    Uses file in order to restore the local package database. Useful in case of a database crash of lost to restore your database from previously made backup.

ENVIRONMENT
The following environment variables affect the execution of pkg backup. See pkg.conf(5) for further description.

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg(8), pkg-add(8), pkg-autoremove(8), pkg-search(8), pkg-create(8), pkg-install(8), pkg-delete(8), pkg-info(8), pkg-register(8), pkg-repo(8), pkg-set(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8), pkg.conf(5)